PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Payslip

This endpoint retrieves a list of all payslips for a specific employee.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of payslip records. Each entry in the array is a separate payslip object. If there is no more payslips, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

Unique identifier for the object.

first_namestring

The employee first name.

last_namestring

The employee last name.

total_deductionnumber

The total amount of deductions for the period.

net_paynumber

The net pay for the period.

supernumber

The super contribution for the period.

wagesnumber

The total wage for the period.

reimbursementsnumber

The total amount of expense reimbursements for the pay period.

taxnumber

The total tax for the period.

namestring

The full name of the employee.

address_line1string

Address line 1 of the employee.

address_line2string

Address line 2 of the employee.

suburbstring

The employee suburb.

postcodestring

The employee postcode.

address_statestring

The employee address state.

notestring

The payslip note.

post_tax_deductionnumber

The total amount of post tax deductions for the period.

pre_tax_deductionnumber

The total amount of pre tax deductions for the period.

business_namestring

The name of the business.

business_addressstring

The address of the business.

business_abnstring

The business number.

base_ratenumber

The employee's base rate.

hourly_ratenumber

The employee's hourly rate.

pay_period_startingstring

The start date of the pay period.

pay_period_endingstring

The end date of the pay period.

base_rate_unitstring

The unit of pay for the base rate.

employment_typestring

The employee's employment type.

payroll_typestring

The type of payroll.

payment_datestring

The payment date.

external_idstring

External identifier of the payslip.

created_atdatetime

The ISO-8601 timestamp the payslip was created.

updated_atdatetime

The ISO-8601 timestamp the payslip was last updated.

payrun_idstring

Identifier of the pay run this payslip belongs to.

total_hoursnumber

Total hours worked in the period.

taxable_earningsnumber

Earnings that are subject to tax.

currencystring

ISO currency code.

country_codestring

ISO country code of the payslip.

review_urlstring

URL to review the payslip online.

sfss_amountnumber

Student Financial Supplement Scheme amount.

ytd_sfssnumber

Year-to-date SFSS amount.

help_amountnumber

Higher Education Loan Program amount for the period.

ytd_helpnumber

Year-to-date HELP amount.

ytd_grossnumber

Year-to-date gross earnings.

ytd_netnumber

Year-to-date net earnings.

ytd_paygnumber

Year-to-date PAYG tax.

ytd_supernumber

Year-to-date super contribution.

ytd_taxable_earningsnumber

Year-to-date taxable earnings.

ytd_pre_tax_deductionnumber

Year-to-date pre-tax deductions.

ytd_post_tax_deductionnumber

Year-to-date post-tax deductions.

pdf_urlstring

URL to the PDF version of the payslip.

keypay_base_pay_ratenumber

Base pay rate captured from KeyPay.

total_paynumber

Total pay for the period.

ytd_deductionsnumber

Year-to-date total deductions.

ytd_taxnumber

Year-to-date tax amount.

summaryobject

Summary of key earnings & deductions.

visible_fieldsobject

Mapping of display labels (key) to the underlying response fields (value) used to localise field names per region/provider. Example: { "paye": "payg" } will show the PAYG tax value under the label PAYE for NZ users.

gross_ytdsobject[]

Gross earnings YTD by pay category.

earnings_linesobject[]

Detailed earnings lines for the period.

bank_paymentsobject[]

Bank account payment breakdowns.

superannuation_linesobject[]

Super contribution details.

taken_leavesobject[]

Leave taken during the period.

displayed_leave_balancesobject[]

Leave balances displayed on the payslip.

displayed_accrued_leavesobject[]

Accrued leave balances displayed.

deductionsobject[]

Deductions applied this period.

payg_adjustmentsobject[]

PAYG adjustments.

super_adjustmentsobject[]

Super adjustments.

reimbursement_linesobject[]

Reimbursements recorded.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "e27387ba-2105-4d12-be95-a7e74823f70f",        "first_name": "Daniel",        "last_name": "Nguyen",        "total_deduction": 1280.5,        "net_pay": 2520.15,        "super": 301.15,        "wages": 3346.15,        "reimbursements": 1280.5,        "tax": 826,        "name": "Alex Kopczynski",        "address_line1": "4 Sava",        "address_line2": null,        "suburb": "123 sydney",        "postcode": "0880",        "address_state": "NT",        "note": null,        "post_tax_deduction": 0,        "pre_tax_deduction": 0,        "business_name": "One Disease Limited",        "business_address": "Australia",        "business_abn": "57162909284",        "base_rate": 87000,        "hourly_rate": 0,        "pay_period_starting": "2012-06-27T00:00:00+00:00",        "pay_period_ending": "2012-07-10T00:00:00+00:00",        "base_rate_unit": "Annually",        "employment_type": "Annually",        "payroll_type": null,        "payment_date": "2012-07-11T00:00:00+10:00",        "external_id": "e27387ba-2105-4d12-be95-a7e74823f70f",        "created_at": "2012-07-11T00:00:00+10:00",        "updated_at": "2012-07-11T00:00:00+10:00",        "payrun_id": "3cc35ef4-aaaa-4114-bfb2-0962691fd0ed",        "total_hours": 160,        "taxable_earnings": 3346.15,        "currency": "AUD",        "country_code": "AU",        "review_url": "https://openapi.employmenthero.com/payslips/123456",        "sfss_amount": 0,        "ytd_sfss": 0,        "help_amount": 0,        "ytd_help": 0,        "ytd_gross": 3346.15,        "ytd_net": 2520.15,        "ytd_payg": 826,        "ytd_super": 301.15,        "ytd_taxable_earnings": 3346.15,        "ytd_pre_tax_deduction": 0,        "ytd_post_tax_deduction": 0,        "pdf_url": "https://cdn.employmenthero.com/payslips/e27387ba.pdf",        "keypay_base_pay_rate": 87000,        "total_pay": 3346.15,        "ytd_deductions": 1280.5,        "ytd_tax": 826,        "summary": {          "total_hours": 160,          "pay_rate": 87000,          "pay_rate_unit": "Annually",          "gross_earning": 3346.15,          "payg": 826,          "help_amount": 0,          "super_contribution": 301.15,          "net_pay": 2520.15        },        "visible_fields": {          "payg": "payg",          "super_contribution": "super_contribution",          "help_amount": "help_amount"        },        "gross_ytds": [          {            "pay_category_name": "Ordinary - Salaried",            "amount": 3346.15,            "created_at": "2012-07-11T00:00:00+10:00",            "updated_at": "2012-07-11T00:00:00+10:00"          }        ],        "earnings_lines": [          {            "pay_category_name": "Ordinary - Salaried",            "name": "Ordinary Pay",            "notes": "27-10/07/2012 (10 days)",            "number_of_units": 80,            "rate_per_unit": 41,            "gross_earnings": 3346.15,            "super_contribution": 301.15,            "taxable_earnings": 3346.15,            "is_fixed": false,            "is_tax_exempt": false          }        ],        "bank_payments": [          {            "account_name": "D N Nguyen",            "account_number": "12345678",            "amount": 2520.15,            "bsb": "062000"          }        ],        "superannuation_lines": [          {            "contribution_type": "Employer",            "payment_date_for_this_period": "2012-07-11T00:00:00+10:00",            "fund_name": "REST Super",            "member_number": "123456",            "amount": 301.15          }        ],        "taken_leaves": [          {            "leave_category_name": "Annual Leave",            "amount": 8,            "notes": null,            "unit_type": "Hours"          }        ],        "displayed_leave_balances": [          {            "leave_category_name": "Annual Leave",            "amount": 20,            "unit_type": "Hours"          }        ],        "displayed_accrued_leaves": [          {            "leave_category_name": "Annual Leave",            "amount": 20,            "unit_type": "Hours"          }        ],        "deductions": [          {            "name": "Union Fee",            "amount": 20,            "is_tax_exempt": false          }        ],        "payg_adjustments": [          {            "name": "Manual PAYG Adjustment",            "amount": -50,            "is_tax_exempt": false          }        ],        "super_adjustments": [          {            "name": "Additional Super",            "amount": 100          }        ],        "reimbursement_lines": [          {            "description": "Travel expenses",            "amount": 150          }        ]      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}

This endpoint retrieves a particular payslip for a specific employee.

Can be used in tandem with the Generate Payslip PDF API to retrieve the pdf_url after PDF generation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

payslip_iduuidrequired

The ID of the payslip to retrieve

Response Body

A hash with a data property that contains the payslip. If there are no payslips, the response will be a 404.

dataobject
iduuid

Unique identifier for the object.

first_namestring

The employee first name.

last_namestring

The employee last name.

total_deductionnumber

The total amount of deductions for the period.

net_paynumber

The net pay for the period.

supernumber

The super contribution for the period.

wagesnumber

The total wage for the period.

reimbursementsnumber

The total amount of expense reimbursements for the pay period.

taxnumber

The total tax for the period.

namestring

The full name of the employee.

address_line1string

Address line 1 of the employee.

address_line2string

Address line 2 of the employee.

suburbstring

The employee suburb.

postcodestring

The employee postcode.

address_statestring

The employee address state.

notestring

The payslip note.

post_tax_deductionnumber

The total amount of post tax deductions for the period.

pre_tax_deductionnumber

The total amount of pre tax deductions for the period.

business_namestring

The name of the business.

business_addressstring

The address of the business.

business_abnstring

The business number.

base_ratenumber

The employee's base rate.

hourly_ratenumber

The employee's hourly rate.

pay_period_startingstring

The start date of the pay period.

pay_period_endingstring

The end date of the pay period.

base_rate_unitstring

The unit of pay for the base rate.

employment_typestring

The employee's employment type.

payroll_typestring

The type of payroll.

payment_datestring

The payment date.

external_idstring

External identifier of the payslip.

created_atdatetime

The ISO-8601 timestamp the payslip was created.

updated_atdatetime

The ISO-8601 timestamp the payslip was last updated.

payrun_idstring

Identifier of the pay run this payslip belongs to.

total_hoursnumber

Total hours worked in the period.

taxable_earningsnumber

Earnings that are subject to tax.

currencystring

ISO currency code.

country_codestring

ISO country code of the payslip.

review_urlstring

URL to review the payslip online.

sfss_amountnumber

Student Financial Supplement Scheme amount.

ytd_sfssnumber

Year-to-date SFSS amount.

help_amountnumber

Higher Education Loan Program amount for the period.

ytd_helpnumber

Year-to-date HELP amount.

ytd_grossnumber

Year-to-date gross earnings.

ytd_netnumber

Year-to-date net earnings.

ytd_paygnumber

Year-to-date PAYG tax.

ytd_supernumber

Year-to-date super contribution.

ytd_taxable_earningsnumber

Year-to-date taxable earnings.

ytd_pre_tax_deductionnumber

Year-to-date pre-tax deductions.

ytd_post_tax_deductionnumber

Year-to-date post-tax deductions.

pdf_urlstring

URL to the PDF version of the payslip.

keypay_base_pay_ratenumber

Base pay rate captured from KeyPay.

total_paynumber

Total pay for the period.

ytd_deductionsnumber

Year-to-date total deductions.

ytd_taxnumber

Year-to-date tax amount.

summaryobject

Summary of key earnings & deductions.

visible_fieldsobject

Mapping of display labels (key) to the underlying response fields (value) used to localise field names per region/provider. Example: { "paye": "payg" } will show the PAYG tax value under the label PAYE for NZ users.

gross_ytdsobject[]

Gross earnings YTD by pay category.

earnings_linesobject[]

Detailed earnings lines for the period.

bank_paymentsobject[]

Bank account payment breakdowns.

superannuation_linesobject[]

Super contribution details.

taken_leavesobject[]

Leave taken during the period.

displayed_leave_balancesobject[]

Leave balances displayed on the payslip.

displayed_accrued_leavesobject[]

Accrued leave balances displayed.

deductionsobject[]

Deductions applied this period.

payg_adjustmentsobject[]

PAYG adjustments.

super_adjustmentsobject[]

Super adjustments.

reimbursement_linesobject[]

Reimbursements recorded.

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "id": "e27387ba-2105-4d12-be95-a7e74823f70f",    "first_name": "Daniel",    "last_name": "Nguyen",    "total_deduction": 1280.5,    "net_pay": 2520.15,    "super": 301.15,    "wages": 3346.15,    "reimbursements": 1280.5,    "tax": 826,    "name": "Alex Kopczynski",    "address_line1": "4 Sava",    "address_line2": null,    "suburb": "123 sydney",    "postcode": "0880",    "address_state": "NT",    "note": null,    "post_tax_deduction": 0,    "pre_tax_deduction": 0,    "business_name": "One Disease Limited",    "business_address": "Australia",    "business_abn": "57162909284",    "base_rate": 87000,    "hourly_rate": 0,    "pay_period_starting": "2012-06-27T00:00:00+00:00",    "pay_period_ending": "2012-07-10T00:00:00+00:00",    "base_rate_unit": "Annually",    "employment_type": "Annually",    "payroll_type": null,    "payment_date": "2012-07-11T00:00:00+10:00",    "external_id": "e27387ba-2105-4d12-be95-a7e74823f70f",    "created_at": "2012-07-11T00:00:00+10:00",    "updated_at": "2012-07-11T00:00:00+10:00",    "payrun_id": "3cc35ef4-aaaa-4114-bfb2-0962691fd0ed",    "total_hours": 160,    "taxable_earnings": 3346.15,    "currency": "AUD",    "country_code": "AU",    "review_url": "https://openapi.employmenthero.com/payslips/123456",    "sfss_amount": 0,    "ytd_sfss": 0,    "help_amount": 0,    "ytd_help": 0,    "ytd_gross": 3346.15,    "ytd_net": 2520.15,    "ytd_payg": 826,    "ytd_super": 301.15,    "ytd_taxable_earnings": 3346.15,    "ytd_pre_tax_deduction": 0,    "ytd_post_tax_deduction": 0,    "pdf_url": "https://cdn.employmenthero.com/payslips/e27387ba.pdf",    "keypay_base_pay_rate": 87000,    "total_pay": 3346.15,    "ytd_deductions": 1280.5,    "ytd_tax": 826,    "summary": {      "total_hours": 160,      "pay_rate": 87000,      "pay_rate_unit": "Annually",      "gross_earning": 3346.15,      "payg": 826,      "help_amount": 0,      "super_contribution": 301.15,      "net_pay": 2520.15    },    "visible_fields": {      "payg": "payg",      "super_contribution": "super_contribution",      "help_amount": "help_amount"    },    "gross_ytds": [      {        "pay_category_name": "Ordinary - Salaried",        "amount": 3346.15,        "created_at": "2012-07-11T00:00:00+10:00",        "updated_at": "2012-07-11T00:00:00+10:00"      }    ],    "earnings_lines": [      {        "pay_category_name": "Ordinary - Salaried",        "name": "Ordinary Pay",        "notes": "27-10/07/2012 (10 days)",        "number_of_units": 80,        "rate_per_unit": 41,        "gross_earnings": 3346.15,        "super_contribution": 301.15,        "taxable_earnings": 3346.15,        "is_fixed": false,        "is_tax_exempt": false      }    ],    "bank_payments": [      {        "account_name": "D N Nguyen",        "account_number": "12345678",        "amount": 2520.15,        "bsb": "062000"      }    ],    "superannuation_lines": [      {        "contribution_type": "Employer",        "payment_date_for_this_period": "2012-07-11T00:00:00+10:00",        "fund_name": "REST Super",        "member_number": "123456",        "amount": 301.15      }    ],    "taken_leaves": [      {        "leave_category_name": "Annual Leave",        "amount": 8,        "notes": null,        "unit_type": "Hours"      }    ],    "displayed_leave_balances": [      {        "leave_category_name": "Annual Leave",        "amount": 20,        "unit_type": "Hours"      }    ],    "displayed_accrued_leaves": [      {        "leave_category_name": "Annual Leave",        "amount": 20,        "unit_type": "Hours"      }    ],    "deductions": [      {        "name": "Union Fee",        "amount": 20,        "is_tax_exempt": false      }    ],    "payg_adjustments": [      {        "name": "Manual PAYG Adjustment",        "amount": -50,        "is_tax_exempt": false      }    ],    "super_adjustments": [      {        "name": "Additional Super",        "amount": 100      }    ],    "reimbursement_lines": [      {        "description": "Travel expenses",        "amount": 150      }    ]  }}

This endpoint enqueues a job to generate PDF for a particular payslip if not yet exists.

PDF generation should take a few seconds, after which the pdf_url will be embedded into the response of the Get Payslip API.

PUT
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id/pdf_gen

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

payslip_iduuidrequired

The ID of the payslip to retrieve

Response Body

A hash with a data property that contains the result of the enqueuement of the pdf generation.

dataobject
successboolean

Indicates if the PDF generation job was successfully enqueued

Example

curl -X PUT \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id/pdf_gen" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "success": true  }}